Subject: bug#17170: 24.3.50; debug: Terminal 3 is locked, cannot read from it

From: Nicolas Richard <[email-masked]>
Date: Fri, 20 Mar 2015 19:37:54 +0100

Eli Zaretskii <[email-masked]> writes:
>> From: Nicolas Richard <[email-masked]>
>> IMO that frame should not ever be used for displaying a buffer
>
> Why not?  Isn't it just a regular frame?

No : I never see it. IIUC running "emacs --daemon" creates that frame
but it is never shown to me.

>> > What happens if you delete that frame?
>> 
>> I did (delete-frame (cadr (frame-list))), and now I can't delete my
>> GUI frame anymore : if I do "C-x C-c", emacs asks me if I want to
>> exit emacs. If I do C-x 5 0, I get:
>> Debugger entered--Lisp error: (error "Attempt to delete the sole visible or iconified frame")
>
> That's expected, but the question is does the problem go away?

The problem was already gone after changing debugger-previous-window.

-- 
Nicolas